define('ItemViews.Cell.Navigable.View.Extension'
,	[	
	'ItemViews.SelectedOption.View'
,	'underscore'
	]
,	function (
		ItemViewsSelectedOptionView
,	_		
	)
{
	'use strict';
	_.extend(ItemViews.Cell.Navigable.View.prototype, 
	{
		getContext: function ()
		{
			var item = this.model.get('item')
			,	line = this.model;

			//@class ItemViews.Navigable.View.Context
			return {
					//@property {String} itemId
					itemId: item.get('internalid')
					//@property {String} itemName
				,	itemName: item.get('_name')
					//@property {String} cellClassName
				,	cellClassName: this.options.cellClassName
					//@property {Boolean} isNavigable
				,	isNavigable: !!this.options.navigable &amp;&amp; !!item.get('_isPurchasable')
					//@property {String} rateFormatted
				,	rateFormatted: line.get('rate_formatted')
					//@property {String} itemSKU
				,	itemSKU: item.get('_sku')
					//@property {Boolean} showOptions
				,	showOptions: !!(line.get('options') &amp;&amp; line.get('options').length)
					//@property {String} itemImageURL
				,	itemImageURL: item.get('_thumbnail').url
					//@property {String} itemImageAltText
				,	itemImageAltText: item.get('_thumbnail').altimagetext
					//@property {String} itemURLAttributes
				,	itemURLAttributes: item.get('_linkAttributes')
					//@property {Number} quantity
				,	quantity: line.get('quantity')
					//@property {Boolean} showDetail2Title
				,	showDetail2Title: !!this.options.detail2Title
					//@property {String} detail2Title
				,	detail2Title: this.options.detail2Title
					//@property {String} detail2
				,	detail2: line.get(this.options.detail2)
					//@property {Boolean} showReason
				,	showBlockDetail2: !!line.get(this.options.detail2)
					//@property {Boolean} showDetail3Title
				,	showDetail3Title: !!this.options.detail3Title
					//@property {String} detail3Title
				,	detail3Title: this.options.detail3Title
					//@property {String} detail3
				,	detail3: line.get('amount') > line.get('total') ? line.get('total_formatted') : line.get(this.options.detail3)
					//@property {Boolean} showComparePrice
				,	showComparePrice: line.get('amount') > line.get('total')
					//@property {String} comparePriceFormatted
				,	comparePriceFormatted: line.get('amount_formatted')
			};
		}
	}
});